### Constructor

# Camel StreamMem new_with_buffer

#### Declaration [src]

    CamelStream*
    camel_stream_mem_new_with_buffer (
      const gchar* buffer,
      gsize len
    )

#### Description [src]

Create a new memory stream using `buffer` as the stream data.

Note: `buffer` will be copied into an internal `GByteArray` structure for use as the stream backing. This may have resource implications you may wish to consider.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A memory buffer to use as the stream data.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.

`len`

  Type: `gsize`

  Length of `buffer`.

#### Return value

Type: `CamelStream`

A new `CamelStreamMem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.